/* -------------------------- GÉNÉRAL -------------------------- */
*,
a::after,
*::before {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --primary: #E85234;
  --secondary: #1F2931;
  --tertiary: #F0F2F4;
  --header-height: 86px;
}

html{
  overflow-x: hidden;
  scroll-behavior: smooth;
}

body {
  font-family: 'Mulish', sans-serif;
  line-height: 1.2;
  background-color: #fff;
  color: var(--secondary);
  /* overflow-x: hidden; */
}

html.menuOpen,
body.menuOpen{
  overflow-y: hidden;  
}

@media (min-width: 993px){
  .desktopDisplayNone{
    display: none !important;
  }
}

@media (max-width: 992px){
  .mobileDisplayNone{
    display: none !important;
  }
}

/* ---------------- TITRAGE ---------------- */

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Zen Kaku Gothic New', sans-serif;
  font-weight: 700;
  text-transform: uppercase;
}

strong {
  font-weight: 700;
}

.title-arrow {
  position: relative;
  display: flex;
  align-items: center;
  gap: 15px;
}

.title-arrow::before {
  content: '';
  width: 34px;
  height: 28px;
  display: inline-block;
  background-color: currentColor;
  mask-image: url('data:image/svg+xml,<svg width="34" height="28" viewBox="0 0 34 28" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0 28.0001H23.5329C27.0102 23.3219 30.5227 18.6783 34 14.0001C30.5227 9.32186 27.0102 4.6783 23.5329 8.12213e-05C2.5 8.12213e-05 15 0 0 8.12213e-05V27.9654V28.0001Z" fill="%23E85234"/></svg>');
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
  flex-shrink: 0;
}

/* ---------------- BOUTON ---------------- */

.btn {
  font-family: 'Mulish', sans-serif;
  font-size: 0.875rem;
  padding: 10px;
  border-radius: 8px;
  text-align: center;
  transition: 300ms ease;
  outline: 0;
  color: #fff;
  background-color: var(--primary);
  width: fit-content;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 7px;
  border: 1px solid var(--primary);
  border-radius: 4px;
  transition: 300ms cubic-bezier(0.165, 0.84, 0.44, 1);
}

.btn:hover {
  background-color: var(--secondary);
  border-color: var(--secondary);
  color: #fff;
}

.btn.btn-secondary {
  background-color: #fff;
  color: var(--secondary);
  border-color: var(--secondary);
}

.btn.btn-secondary:hover {
  background-color: var(--primary);
  color: #fff;
  border-color: var(--primary);
}

.btn.large {
  padding: 11px 16px;
  font-size: 0.9375rem;
  gap: 10px;
}

.btn.arrow::before {
  content: '';
  width: 8px;
  height: 14px;
  display: inline-block;
  background-color: currentColor;
  mask-image: url('data:image/svg+xml,<svg width="8" height="14" viewBox="0 0 8 14" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0 14V0H3L8 7L3 14H0Z" fill="currentColor"/></svg>');
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
}

.btn.mobile::before,
.btn[href^="tel:"]::before {
  content: '';
  width: 11px;
  height: 19px;
  display: inline-block;
  background-color: currentColor;
  mask-image: url('data:image/svg+xml,<svg width="11" height="19" viewBox="0 0 11 19" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M4.25 0.5H2.375C1.87772 0.5 1.40081 0.703188 1.04917 1.06487C0.697544 1.42654 0.5 1.91708 0.5 2.42857V16.5714C0.5 17.0829 0.697544 17.5735 1.04917 17.9351C1.40081 18.2968 1.87228 18.5 2.375 18.5H8.625C9.12228 18.5 9.59919 18.2968 9.95082 17.9351C10.3025 17.5735 10.5 17.0829 10.5 16.5714V2.42857C10.5 1.91708 10.3025 1.42654 9.95082 1.06487C9.59919 0.703188 9.12228 0.5 8.625 0.5H6.75M4.25 0.5V1.78571H6.75V0.5M4.25 0.5H6.75M4.25 16.5714H6.75" stroke="black" stroke-width="1" stroke-linecap="round" stroke-linejoin="round"/></svg>');
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
}

/* ---------------- CONTAINER ---------------- */

.container{
  width: 100%;
  max-width: 1480px;
  margin-inline: auto;
  padding-inline: 80px;
}

@media (max-width: 1600px) {
  .container{
    max-width: 1300px;
  }
}

@media (max-width: 992px) {
  .container{
    padding-inline: 20px;
  }
}

/* ---------------- WYSIWYG ---------------- */

.description p + p,
.description ul + p {
  margin-top: 1em;
}

/* ---------------- 404 ---------------- */

.page404{
  min-height: 80vh;
  position: relative;
  padding-inline: 36px;
  margin: 0px !important;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.page404 > div{
  transform: translate(-50%, -35%);
  position: absolute;
  top: 50%;
  left: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.page404 h1 span,
.page404 h1{
  font-size: 80px;
  line-height: 80px;
  margin-bottom: 20px;
  text-transform: uppercase;
  color: var(--primary);
  text-align: center;
  font-weight: 700;
}

.page404 h1 span{
  color: var(--jaune);
}

.page404 h2{
  font-size: 30px;
  line-height: 40px;
  margin-bottom: 20px;
  text-transform: uppercase;
  text-align: center;
}

@media (max-width: 992px){
  .page404{
    min-height: 60vh;
  }
  .page404 h1,
  .page404 h1 span{
    font-size: 40px;
    line-height: 40px;
  }
  .page404 h2{
    font-size: 20px;
    line-height: 20px;
  }
}

/* ---------------- BREADCRUMBS ---------------- */

.breadcrumbs li *,
.breadcrumbs{
  color: var(--primary);
  font-size: 13px;
  line-height: 20px;
}


.breadcrumbs li.active *{
  font-weight: bold;
}

.breadcrumb li::after{
  content: "" !important;
  width: 5px;
  height: 9px;
  display: inline-block;
  margin-inline: 8px !important;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url("data:image/svg+xml,%3Csvg id='next' xmlns='http://www.w3.org/2000/svg' width='4.566' height='8.455' viewBox='0 0 4.566 8.455'%3E%3Cg id='Groupe_7' data-name='Groupe 7' transform='translate(0 0)'%3E%3Cpath id='Tracé_19' data-name='Tracé 19' d='M4.47,4,.559.1A.328.328,0,0,0,.1.56L3.774,4.228.1,7.9a.328.328,0,0,0,.463.464L4.47,4.46A.328.328,0,0,0,4.47,4Z' transform='translate(0 0)' fill='%230f2858'/%3E%3C/g%3E%3C/svg%3E%0A");
}

/* Swiper JS
============================================================ */

.swiper-pagination-bullet {
  width: 16px;
  height: 16px;
  background-color: #fff;
  opacity: 1;
}

.swiper-pagination-bullet-active {
  background-color: var(--primary);
}